Qt 5.11 | Qt Quick | QML Types | PointerHandler QML Type

Qt 5.11.3 Reference Documentation

# PointerHandler QML Type

Abstract handler for pointer events. More...

Import Statement: | import Qt.labs.handlers 1.0
Since: | Qt 5.10
Inherited By: | PointerDeviceHandler

- List of all members, including inherited members

## Properties

- active : bool
- enabled : bool
- grabPermission : bool
- parent : Item
- target : Item

## Signals

- canceled(EventPoint point)
- grabChanged(EventPoint point)

## Detailed Description

PointerHandler is the base class handler (not registered as a QML type) for pointer events without regard to source (touch, mouse or graphics tablet).

## Property Documentation

[read-only] active : bool

This holds true whenever this PointerHandler has taken sole responsibility for handing one or more EventPoints, by successfully taking an exclusive grab of those points. This means that it is keeping its properties up-to-date according to the movements of those Event Points and actively manipulating its target (if any).

enabled : bool

If a PointerHandler is disabled, it will reject all events and no signals will be emitted.

grabPermission : bool

This property specifies the permissions when this handler's logic decides to take over the exclusive grab, or when it is asked to approve grab takeover or cancellation by another handler.

The default is `CanTakeOverFromItems | CanTakeOverFromHandlersOfDifferentType | ApprovesTakeOverByAnything` which allows most takeover scenarios but avoids e.g. two PinchHandlers fighting over the same touchpoints.

[read-only] parent : Item

The Item which is the scope of the handler; the Item in which it was declared. The handler will handle events on behalf of this Item, which means a pointer event is relevant if at least one of its event points occurs within the Item's interior. Initially target() is the same, but it can be reassigned.

See also target and QObject::parent().

target : Item

The Item which this handler will manipulate.

By default, it is the same as the parent, the Item within which the handler is declared. However, it can sometimes be useful to set the target to a different Item, in order to handle events within one item but manipulate another; or to `null`, to disable the default behavior and do something else instead.

## Signal Documentation

canceled(EventPoint point)

If this handler has already grabbed the given point, this signal is emitted when the grab is stolen by a different Pointer Handler or Item.

grabChanged(EventPoint point)

This signal is emitted when this handler has acquired or relinquished a passive or exclusive grab of the given point.